<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ru.entaxy.esb.platform.runtime.core</groupId>
        <artifactId>core-support</artifactId>
        <version>1.10.1</version>
    </parent>
    <artifactId>core-support-runtime</artifactId>
    <packaging>bundle</packaging>
    <name>ENTAXY :: PLATFORM :: CORE :: SUPPORT :: RUNTIME</name>
    <description>ENTAXY :: PLATFORM :: CORE :: SUPPORT :: RUNTIME</description>

    <properties>
        <bundle.osgi.export.pkg>
            ru.entaxy.platform.core.support.runtime*
        </bundle.osgi.export.pkg>
        <bundle.osgi.private.pkg>
            ru.entaxy.platform.core.support.runtime.helper,
            ru.entaxy.platform.core.support.runtime.jgroups
        </bundle.osgi.private.pkg>
        <!-- bundle.osgi.import.pkg>
            *,
            ru.entaxy.esb.resources*,
            !ru.entaxy.platform.core.support.runtime*
        </bundle.osgi.import.pkg -->
        <bundle.osgi.import.pkg>
            javax.annotation;version="[1,1.3.4)",
            org.apache.ignite,
            org.apache.ignite.internal.processors.cluster,
            org.apache.ignite.internal.processors.marshaller,
            org.apache.ignite.internal.util.lang.gridfunc,
            org.apache.ignite.spi.discovery.tcp.internal,
            org.apache.ignite.transactions,
            org.apache.ignite.internal.*,
            org.apache.ignite.lang,
            org.apache.ignite.configuration,
            org.jgroups;version="[4.2.0,5.0.0)",
            org.jgroups.blocks.locking;version="[4.2.0,5.0.0)",
            *
        </bundle.osgi.import.pkg>
    </properties>

    <dependencies>
        <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-lang3</artifactId>
            <version>${commons-lang3.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-core</artifactId>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
            <artifactId>base-support</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.servicemix.bundles</groupId>
            <artifactId>org.apache.servicemix.bundles.spring-aop</artifactId>
            <version>${spring.bundles.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.servicemix.bundles</groupId>
            <artifactId>org.apache.servicemix.bundles.spring-core</artifactId>
            <version>${spring.bundles.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.servicemix.bundles</groupId>
            <artifactId>org.apache.servicemix.bundles.spring-beans</artifactId>
            <version>${spring.bundles.version}</version>
        </dependency>
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>org.osgi.service.component.annotations</artifactId>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
            <artifactId>resources-api</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ru.entaxy.esb.platform.runtime.base.resources</groupId>
            <artifactId>resources-service</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>commons-io</groupId>
            <artifactId>commons-io</artifactId>
            <version>${commons-io.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-api</artifactId>
        </dependency>
        <dependency>
            <groupId>org.osgi</groupId>
            <artifactId>osgi.core</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.felix</groupId>
            <artifactId>org.apache.felix.configadmin</artifactId>
            <version>${felix.configadmin.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-util</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-support</artifactId>
            <version>${camel.version}-ENTAXY</version>
        </dependency>
        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-support</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.aries.blueprint</groupId>
            <artifactId>org.apache.aries.blueprint.cm</artifactId>
        </dependency>
        <dependency>
            <groupId>com.hazelcast</groupId>
            <artifactId>hazelcast-all</artifactId>
            <version>${hazelcast.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.ignite</groupId>
            <artifactId>ignite-core</artifactId>
            <version>${ignite.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.ignite</groupId>
            <artifactId>ignite-jcl</artifactId>
            <version>${ignite.version}</version>
        </dependency>

        <dependency>
            <groupId>org.jgroups</groupId>
            <artifactId>jgroups</artifactId>
            <version>${jgroups.version}</version>
        </dependency>

        <dependency>
            <artifactId>jackson-jaxrs-json-provider</artifactId>
            <groupId>com.fasterxml.jackson.jaxrs</groupId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.datatype</groupId>
            <artifactId>jackson-datatype-joda</artifactId>
            <version>${jackson.version}</version>
        </dependency>

        <dependency>
            <groupId>org.apache.camel</groupId>
            <artifactId>camel-cxf</artifactId>
            <version>${camel.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-wsdl</artifactId>
            <version>${cxf.version}</version>
        </dependency>

        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-rs-client</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-rs-security-oauth2</artifactId>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-rs-security-jose-jaxrs</artifactId>
            <version>${cxf.version}</version>
        </dependency>
        <dependency>
            <groupId>org.apache.cxf</groupId>
            <artifactId>cxf-rt-security</artifactId>
            <version>${cxf.version}</version>
        </dependency>
        <dependency>
            <artifactId>camel-base</artifactId>
            <groupId>org.apache.camel</groupId>
            <version>${camel.version}-ENTAXY</version>
        </dependency>

        <dependency>
            <groupId>org.apache.karaf.cellar</groupId>
            <artifactId>org.apache.karaf.cellar.core</artifactId>
            <version>${cellar.version}</version>
            <exclusions>
                <exclusion>
                    <groupId>org.apache.karaf</groupId>
                    <artifactId>org.apache.karaf.util</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <groupId>org.apache.karaf.cellar</groupId>
            <artifactId>org.apache.karaf.cellar.bundle</artifactId>
            <version>${cellar.version}-ENTAXY</version>
            <exclusions>
                <exclusion>
                    <groupId>org.apache.karaf</groupId>
                    <artifactId>org.apache.karaf.util</artifactId>
                </exclusion>
            </exclusions>
        </dependency>
        <dependency>
            <artifactId>geronimo-jms_2.0_spec</artifactId>
            <groupId>org.apache.geronimo.specs</groupId>
        </dependency>
        <dependency>
            <artifactId>camel-jackson</artifactId>
            <groupId>org.apache.camel</groupId>
        </dependency>
    </dependencies>

</project>
